| Home | Libraries | People | FAQ | More

##### io_context::poll (1 of 2 overloads)

Run the `io_context` object's event processing loop to execute ready handlers.

    count_type poll();

The `poll()` function runs handlers that are ready to run, without blocking, until the `io_context` has been stopped or there are no more ready handlers.

###### Return Value

The number of handlers that were executed.